Bug 18326 - Add Mojolicious as a required dependency
Summary: Add Mojolicious as a required dependency
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: David Cook
QA Contact: Testopia
URL:
Keywords:
Depends on: 17932
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-24 01:15 UTC by David Cook
Modified: 2017-12-07 22:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 18326 - Add Mojolicious as a required dependency (1.02 KB, patch)
2017-03-24 01:19 UTC, David Cook
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description David Cook 2017-03-24 01:15:18 UTC
With the pushing of Bug 17932, we now have to add Mojolicious as a required module to Koha. Otherwise, bad things happen, since Koha::Object uses Mojo::JSON.

I don't think this is necessarily a bad thing. Mojolicious is an easy install and maybe we could start using it more anyway. Hello new OPAC...
Comment 1 David Cook 2017-03-24 01:19:07 UTC
Created attachment 61593 [details] [review]
Bug 18326 - Add Mojolicious as a required dependency

Since Bug 17932 was pushed and adds Mojo::JSON to Koha::Object,
it's necessary to specify Mojolicious as a required module.

_TEST PLAN_
1. Run: perl koha_perl_deps.pl -a -r -c
2. Make sure that Mojolicious is in the output
Comment 2 Tomás Cohen Arazi 2017-03-24 01:31:46 UTC
Maybe bug 18290 could provide an alternative solution.
Comment 3 David Cook 2017-03-26 22:51:17 UTC
(In reply to Tomás Cohen Arazi from comment #2)
> Maybe bug 18290 could provide an alternative solution.

Sounds good to me. I've already installed Mojolicious so that I can continue to use Koha master, but an alternative solution seems reasonable!
Comment 4 Katrin Fischer 2017-05-12 05:35:43 UTC
I think this patch might be obsolete - it's already marked required on master:

    },
    'Mojolicious' => {
        'usage'    => 'REST API',
        'required' => '1',
        'min_ver'  => '6.0',
    },

Not sure which status... choosing to close, please reopen if I am mistaken.